
Name:          checkstyle-rules
Version:       4
Release:       %mkrel 4
Summary:       MyFaces checkstyle rules
Group:         Development/Java
License:       ASL 2.0
Url:           http://myfaces.apache.org/
# svn export http://svn.apache.org/repos/asf/myfaces/myfaces-build-tools/tags/checkstyle-rules-4
# tar czf checkstyle-rules-4-src-svn.tar.gz checkstyle-rules-4
Source0:       checkstyle-rules-4-src-svn.tar.gz

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: maven
BuildRequires: maven-jar-plugin
BuildRequires: maven-local
BuildRequires: maven-release-plugin
BuildRequires: myfaces-master

Requires:      myfaces-master

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
MyFaces checkstyle rules.

%prep
%setup -q -n checkstyle-rules-%{version}

%build
mvn-rpmbuild package
%install

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%doc LICENSE NOTICE


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4-4.mga4
+ Revision: 545807
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 4-3.mga4
+ Revision: 501862
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 4-2.mga3
+ Revision: 347667
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 gil <gil> 4-1.mga3
+ Revision: 220084
- update to 4

* Fri Nov 11 2011 gil <gil> 2-1.mga2
+ Revision: 166500
- imported package checkstyle-rules

